Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.xmla
Class XMLA_PlaceMembers

    java.lang.Object
      com.tonbeller.jpivot.core.ExtensionSupport
          com.tonbeller.jpivot.xmla.XMLA_PlaceHierarchies
              com.tonbeller.jpivot.xmla.XMLA_PlaceMembers

All Implemented Interfaces:
  Extension, PlaceHierarchiesOnAxes, PlaceMembersOnAxes

    public class XMLA_PlaceMembers

extends XMLA_PlaceHierarchies
implements PlaceMembersOnAxes

Author:
  hh

Field Summary

Fields inherited from interface com.tonbeller.jpivot.olap.navi.PlaceMembersOnAxes
`ID`

Constructor Summary
`XMLA_PlaceMembers()` Constructor for MondrianPlaceMembers.

Method Summary
`java.lang.Object` | `createMemberExpression(java.util.List members)` return List of members, trivial for XMLA
`java.util.List` | `findVisibleMembers(Hierarchy hier)` find all members of an hierarchy

Methods inherited from class com.tonbeller.jpivot.xmla.XMLA_PlaceHierarchies
`createMemberExpression, getExpandAllMember, setExpandAllMember, setQueryAxis`

Methods inherited from class com.tonbeller.jpivot.core.ExtensionSupport
`decorate, getId, getModel, modelInitialized, setId, setModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.tonbeller.jpivot.olap.navi.PlaceHierarchiesOnAxes
`createMemberExpression, getExpandAllMember, setExpandAllMember, setQueryAxis`

Methods inherited from interface com.tonbeller.jpivot.core.Extension
`decorate, getId, modelInitialized, setModel`

Constructor Detail

### XMLA_PlaceMembers

    public XMLA_PlaceMembers()

  Constructor for MondrianPlaceMembers.

Method Detail

### createMemberExpression

    public java.lang.Object createMemberExpression(java.util.List members)

  return List of members, trivial for XMLA

  Specified by:
    `createMemberExpression` in interface `PlaceMembersOnAxes`
  Parameters:
    `members` - a List of Members
  Returns:
    a member expression that can be used with super.setAxis
  See Also:
    `PlaceMembersOnAxes.createMemberExpression(List)`

### findVisibleMembers

    public java.util.List findVisibleMembers(Hierarchy hier)

  find all members of an hierarchy

  Specified by:
    `findVisibleMembers` in interface `PlaceMembersOnAxes`
  Parameters:
    `hier` - the Hierarchy
  Returns:
    A list of Members
  See Also:
    `PlaceMembersOnAxes.findVisibleMembers(Hierarchy)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD